Bug 723722

Summary: BUG: SELinux is preventing /usr/bin/nautilus (deleted) "write" access on /media/TerraVolume.
Product: Red Hat Enterprise Linux 6 Reporter: Daniel Walsh <dwalsh>
Component: kernelAssignee: Peter Vrabec <pvrabec>
kernel sub component: SELinux QA Contact: Milos Malik <mmalik>
Status: CLOSED ERRATA Docs Contact:
Severity: medium    
Priority: low CC: dwalsh, eparis, ksrot, mcepl, mgrepl, mmalik, pmoore, wgomerin
Version: 6.1Keywords: RHELNAK, SELinux
Target Milestone: rc   
Target Release: 6.2   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: kernel-2.6.32-589.el6 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 624540 Environment:
Last Closed: 2016-05-10 17:46:19 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 624540    
Bug Blocks:    

Comment 1 Daniel Walsh 2011-07-20 17:48:07 EDT
We need the kernel access check back ported into RHEL6 in order to not generate avc's when apps call access(X, X_OK)
Comment 2 RHEL Product and Program Management 2011-10-07 11:41:48 EDT
Since RHEL 6.2 External Beta has begun, and this bug remains
unresolved, it has been rejected as it is not proposed as
exception or blocker.

Red Hat invites you to ask your support representative to
propose this request, if appropriate and relevant, in the
next release of Red Hat Enterprise Linux.
Comment 5 RHEL Product and Program Management 2012-05-03 00:39:22 EDT
Since RHEL 6.3 External Beta has begun, and this bug remains
unresolved, it has been rejected as it is not proposed as
exception or blocker.

Red Hat invites you to ask your support representative to
propose this request, if appropriate and relevant, in the
next release of Red Hat Enterprise Linux.
Comment 6 Paul Moore 2015-02-24 11:18:43 EST
Related upstream kernel commit:

commit b782e0a68d17894d9a618ffea55b33639faa6bb4
Author: Eric Paris <eparis@redhat.com>
Date:   Fri Jul 23 11:44:03 2010 -0400

SELinux: special dontaudit for access checks
    
Currently there are a number of applications (nautilus being the main one) which
calls access() on files in order to determine how they should be displayed. 
It is normal and expected that nautilus will want to see if files are executable
or if they are really read/write-able.  access() should return the real
permission.  SELinux policy checks are done in access() and can result in lots
of AVC denials as policy denies RWX on files which DAC allows.  Currently
SELinux must dontaudit actual attempts to read/write/execute a file in
order to silence these messages (and not flood the logs.)  But dontaudit rules
like that can hide real attacks.  This patch addes a new common file
permission audit_access.  This permission is special in that it is meaningless
and should never show up in an allow rule.  Instead the only place this
permission has meaning is in a dontaudit rule like so:
    
    dontaudit nautilus_t sbin_t:file audit_access
    
With such a rule if nautilus just checks access() we will still get denied and
thus userspace will still get the correct answer but we will not log the denial.
If nautilus attempted to actually perform one of the forbidden actions
(rather than just querying access(2) about it) we would still log a denial.
This type of dontaudit rule should be used sparingly, as it could be a
method for an attacker to probe the system permissions without detection.
    
Signed-off-by: Eric Paris <eparis@redhat.com>
Acked-by:  Stephen D. Smalley <sds@tycho.nsa.gov>
Signed-off-by: James Morris <jmorris@namei.org>
Comment 10 RHEL Product and Program Management 2015-11-01 19:19:24 EST
This request was evaluated by Red Hat Product Management for
inclusion in a Red Hat Enterprise Linux release.  Product
Management has requested further review of this request by
Red Hat Engineering, for potential inclusion in a Red Hat
Enterprise Linux release for currently deployed products.
This request is not yet committed for inclusion in a release.
Comment 11 Aristeu Rozanski 2015-12-03 08:22:25 EST
Patch(es) available on kernel-2.6.32-589.el6
Comment 17 errata-xmlrpc 2016-05-10 17:46:19 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-0855.html